Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 028b0ced4c26847c31a65c6f5630182cc2f4e7cb)
+++ cpukit/Makefile.am	(revision b3ef89f931041ce004cba62e3c8250c96ca933f6)
@@ -369,4 +369,120 @@
 libcpukit_a_SOURCES += libstdthreads/mtx.c
 libcpukit_a_SOURCES += libstdthreads/tss.c
+libcpukit_a_SOURCES += posix/src/nanosleep.c
+libcpukit_a_SOURCES += posix/src/clockgettime.c
+libcpukit_a_SOURCES += posix/src/clocksettime.c
+libcpukit_a_SOURCES += posix/src/clockgetres.c
+libcpukit_a_SOURCES += posix/src/sysconf.c
+libcpukit_a_SOURCES += posix/src/fork.c
+libcpukit_a_SOURCES += posix/src/vfork.c
+libcpukit_a_SOURCES += posix/src/wait.c
+libcpukit_a_SOURCES += posix/src/waitpid.c
+libcpukit_a_SOURCES += posix/src/pthreadgetnamenp.c
+libcpukit_a_SOURCES += posix/src/pthreadsetnamenp.c
+libcpukit_a_SOURCES += posix/src/barrierattrdestroy.c
+libcpukit_a_SOURCES += posix/src/barrierattrgetpshared.c
+libcpukit_a_SOURCES += posix/src/barrierattrinit.c
+libcpukit_a_SOURCES += posix/src/barrierattrsetpshared.c
+libcpukit_a_SOURCES += posix/src/pbarrierdestroy.c
+libcpukit_a_SOURCES += posix/src/pbarrierinit.c
+libcpukit_a_SOURCES += posix/src/pbarrierwait.c
+libcpukit_a_SOURCES += posix/src/condattrdestroy.c
+libcpukit_a_SOURCES += posix/src/condattrinit.c
+libcpukit_a_SOURCES += posix/src/condattrgetpshared.c
+libcpukit_a_SOURCES += posix/src/condattrsetpshared.c
+libcpukit_a_SOURCES += posix/src/condattrgetclock.c
+libcpukit_a_SOURCES += posix/src/condattrsetclock.c
+libcpukit_a_SOURCES += posix/src/condbroadcast.c
+libcpukit_a_SOURCES += posix/src/conddefaultattributes.c
+libcpukit_a_SOURCES += posix/src/conddestroy.c
+libcpukit_a_SOURCES += posix/src/condinit.c
+libcpukit_a_SOURCES += posix/src/condsignal.c
+libcpukit_a_SOURCES += posix/src/condsignalsupp.c
+libcpukit_a_SOURCES += posix/src/condtimedwait.c
+libcpukit_a_SOURCES += posix/src/condwait.c
+libcpukit_a_SOURCES += posix/src/condwaitsupp.c
+libcpukit_a_SOURCES += posix/src/mutexattrdestroy.c
+libcpukit_a_SOURCES += posix/src/mutexattrgetprioceiling.c
+libcpukit_a_SOURCES += posix/src/mutexattrgetprotocol.c
+libcpukit_a_SOURCES += posix/src/mutexattrgetpshared.c
+libcpukit_a_SOURCES += posix/src/mutexattrgettype.c
+libcpukit_a_SOURCES += posix/src/mutexattrinit.c
+libcpukit_a_SOURCES += posix/src/mutexattrsetprioceiling.c
+libcpukit_a_SOURCES += posix/src/mutexattrsetprotocol.c
+libcpukit_a_SOURCES += posix/src/mutexattrsetpshared.c
+libcpukit_a_SOURCES += posix/src/mutexattrsettype.c
+libcpukit_a_SOURCES += posix/src/mutexdestroy.c
+libcpukit_a_SOURCES += posix/src/mutexgetprioceiling.c
+libcpukit_a_SOURCES += posix/src/mutexinit.c
+libcpukit_a_SOURCES += posix/src/mutexlock.c
+libcpukit_a_SOURCES += posix/src/mutexlocksupp.c
+libcpukit_a_SOURCES += posix/src/mutexsetprioceiling.c
+libcpukit_a_SOURCES += posix/src/mutextimedlock.c
+libcpukit_a_SOURCES += posix/src/mutextrylock.c
+libcpukit_a_SOURCES += posix/src/mutexunlock.c
+libcpukit_a_SOURCES += posix/src/psxpriorityisvalid.c
+libcpukit_a_SOURCES += posix/src/pthreadattrdefault.c
+libcpukit_a_SOURCES += posix/src/pthreadattrdestroy.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetdetachstate.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetguardsize.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetinheritsched.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetschedparam.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetschedpolicy.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetscope.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetstackaddr.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetstack.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetstacksize.c
+libcpukit_a_SOURCES += posix/src/pthreadattrinit.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetdetachstate.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetguardsize.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetinheritsched.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetschedparam.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetschedpolicy.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetscope.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetstackaddr.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetstack.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetstacksize.c
+libcpukit_a_SOURCES += posix/src/pthreadattrsetaffinitynp.c
+libcpukit_a_SOURCES += posix/src/pthreadattrgetaffinitynp.c
+libcpukit_a_SOURCES += posix/src/pthreadgetaffinitynp.c
+libcpukit_a_SOURCES += posix/src/pthreadsetaffinitynp.c
+libcpukit_a_SOURCES += posix/src/key.c
+libcpukit_a_SOURCES += posix/src/keycreate.c
+libcpukit_a_SOURCES += posix/src/keydelete.c
+libcpukit_a_SOURCES += posix/src/keygetspecific.c
+libcpukit_a_SOURCES += posix/src/keysetspecific.c
+libcpukit_a_SOURCES += posix/src/pthreadonce.c
+libcpukit_a_SOURCES += posix/src/sigaddset.c
+libcpukit_a_SOURCES += posix/src/sigdelset.c
+libcpukit_a_SOURCES += posix/src/sigfillset.c
+libcpukit_a_SOURCES += posix/src/sigemptyset.c
+libcpukit_a_SOURCES += posix/src/sigismember.c
+libcpukit_a_SOURCES += posix/src/sigprocmask.c
+libcpukit_a_SOURCES += posix/src/pspindestroy.c
+libcpukit_a_SOURCES += posix/src/pspininit.c
+libcpukit_a_SOURCES += posix/src/pspinlock.c
+libcpukit_a_SOURCES += posix/src/pspinunlock.c
+libcpukit_a_SOURCES += posix/src/semdestroy.c
+libcpukit_a_SOURCES += posix/src/semgetvalue.c
+libcpukit_a_SOURCES += posix/src/seminit.c
+libcpukit_a_SOURCES += posix/src/sempost.c
+libcpukit_a_SOURCES += posix/src/semtimedwait.c
+libcpukit_a_SOURCES += posix/src/semtrywait.c
+libcpukit_a_SOURCES += posix/src/semwait.c
+libcpukit_a_SOURCES += posix/src/prwlockdestroy.c
+libcpukit_a_SOURCES += posix/src/prwlockinit.c
+libcpukit_a_SOURCES += posix/src/prwlockrdlock.c
+libcpukit_a_SOURCES += posix/src/prwlocktimedrdlock.c
+libcpukit_a_SOURCES += posix/src/prwlocktimedwrlock.c
+libcpukit_a_SOURCES += posix/src/prwlocktryrdlock.c
+libcpukit_a_SOURCES += posix/src/prwlocktrywrlock.c
+libcpukit_a_SOURCES += posix/src/prwlockunlock.c
+libcpukit_a_SOURCES += posix/src/prwlockwrlock.c
+libcpukit_a_SOURCES += posix/src/rwlockattrdestroy.c
+libcpukit_a_SOURCES += posix/src/rwlockattrgetpshared.c
+libcpukit_a_SOURCES += posix/src/rwlockattrinit.c
+libcpukit_a_SOURCES += posix/src/rwlockattrsetpshared.c
+libcpukit_a_SOURCES += posix/src/sched_getprioritymin.c
+libcpukit_a_SOURCES += posix/src/sched_getprioritymax.c
 libcpukit_a_SOURCES += sapi/src/chainappendnotify.c
 libcpukit_a_SOURCES += sapi/src/chaingetnotify.c
@@ -410,4 +526,109 @@
 
 libcpukit_a_SOURCES += libstdthreads/thrd.c
+libcpukit_a_SOURCES += posix/src/adjtime.c
+libcpukit_a_SOURCES += posix/src/aio_cancel.c
+libcpukit_a_SOURCES += posix/src/aio_error.c
+libcpukit_a_SOURCES += posix/src/aio_fsync.c
+libcpukit_a_SOURCES += posix/src/aio_misc.c
+libcpukit_a_SOURCES += posix/src/aio_read.c
+libcpukit_a_SOURCES += posix/src/aio_return.c
+libcpukit_a_SOURCES += posix/src/aio_suspend.c
+libcpukit_a_SOURCES += posix/src/aio_write.c
+libcpukit_a_SOURCES += posix/src/alarm.c
+libcpukit_a_SOURCES += posix/src/cancel.c
+libcpukit_a_SOURCES += posix/src/cleanuppush.c
+libcpukit_a_SOURCES += posix/src/clockgetcpuclockid.c
+libcpukit_a_SOURCES += posix/src/_execve.c
+libcpukit_a_SOURCES += posix/src/getitimer.c
+libcpukit_a_SOURCES += posix/src/kill.c
+libcpukit_a_SOURCES += posix/src/killinfo.c
+libcpukit_a_SOURCES += posix/src/kill_r.c
+libcpukit_a_SOURCES += posix/src/lio_listio.c
+libcpukit_a_SOURCES += posix/src/mlockall.c
+libcpukit_a_SOURCES += posix/src/mlock.c
+libcpukit_a_SOURCES += posix/src/mmap.c
+libcpukit_a_SOURCES += posix/src/mprotect.c
+libcpukit_a_SOURCES += posix/src/mqueue.c
+libcpukit_a_SOURCES += posix/src/mqueueclose.c
+libcpukit_a_SOURCES += posix/src/mqueuedeletesupp.c
+libcpukit_a_SOURCES += posix/src/mqueuegetattr.c
+libcpukit_a_SOURCES += posix/src/mqueuenotify.c
+libcpukit_a_SOURCES += posix/src/mqueueopen.c
+libcpukit_a_SOURCES += posix/src/mqueuereceive.c
+libcpukit_a_SOURCES += posix/src/mqueuerecvsupp.c
+libcpukit_a_SOURCES += posix/src/mqueuesend.c
+libcpukit_a_SOURCES += posix/src/mqueuesendsupp.c
+libcpukit_a_SOURCES += posix/src/mqueuesetattr.c
+libcpukit_a_SOURCES += posix/src/mqueuetimedreceive.c
+libcpukit_a_SOURCES += posix/src/mqueuetimedsend.c
+libcpukit_a_SOURCES += posix/src/mqueueunlink.c
+libcpukit_a_SOURCES += posix/src/msync.c
+libcpukit_a_SOURCES += posix/src/munlockall.c
+libcpukit_a_SOURCES += posix/src/munlock.c
+libcpukit_a_SOURCES += posix/src/munmap.c
+libcpukit_a_SOURCES += posix/src/pause.c
+libcpukit_a_SOURCES += posix/src/posix_madvise.c
+libcpukit_a_SOURCES += posix/src/psignal.c
+libcpukit_a_SOURCES += posix/src/psignalclearprocesssignals.c
+libcpukit_a_SOURCES += posix/src/psignalclearsignals.c
+libcpukit_a_SOURCES += posix/src/psignalsetprocesssignals.c
+libcpukit_a_SOURCES += posix/src/psignalunblockthread.c
+libcpukit_a_SOURCES += posix/src/psxnametoid.c
+libcpukit_a_SOURCES += posix/src/psxpriorityisvalid.c
+libcpukit_a_SOURCES += posix/src/psxsemaphore.c
+libcpukit_a_SOURCES += posix/src/psxtimercreate.c
+libcpukit_a_SOURCES += posix/src/psxtimerdelete.c
+libcpukit_a_SOURCES += posix/src/psxtransschedparam.c
+libcpukit_a_SOURCES += posix/src/pthreadatfork.c
+libcpukit_a_SOURCES += posix/src/pthread.c
+libcpukit_a_SOURCES += posix/src/pthreadconcurrency.c
+libcpukit_a_SOURCES += posix/src/pthreadcreate.c
+libcpukit_a_SOURCES += posix/src/pthreaddetach.c
+libcpukit_a_SOURCES += posix/src/pthreadequal.c
+libcpukit_a_SOURCES += posix/src/pthreadexit.c
+libcpukit_a_SOURCES += posix/src/pthreadgetattrnp.c
+libcpukit_a_SOURCES += posix/src/pthreadgetcpuclockid.c
+libcpukit_a_SOURCES += posix/src/pthreadgetschedparam.c
+libcpukit_a_SOURCES += posix/src/pthreadinitthreads.c
+libcpukit_a_SOURCES += posix/src/pthreadjoin.c
+libcpukit_a_SOURCES += posix/src/pthreadkill.c
+libcpukit_a_SOURCES += posix/src/pthreadkill.c
+libcpukit_a_SOURCES += posix/src/pthreadself.c
+libcpukit_a_SOURCES += posix/src/pthreadsetschedparam.c
+libcpukit_a_SOURCES += posix/src/pthreadsetschedprio.c
+libcpukit_a_SOURCES += posix/src/pthreadsigmask.c
+libcpukit_a_SOURCES += posix/src/pthreadsigmask.c
+libcpukit_a_SOURCES += posix/src/ptimer.c
+libcpukit_a_SOURCES += posix/src/sched_getparam.c
+libcpukit_a_SOURCES += posix/src/sched_getscheduler.c
+libcpukit_a_SOURCES += posix/src/sched_rr_get_interval.c
+libcpukit_a_SOURCES += posix/src/sched_setparam.c
+libcpukit_a_SOURCES += posix/src/sched_setscheduler.c
+libcpukit_a_SOURCES += posix/src/sched_yield.c
+libcpukit_a_SOURCES += posix/src/semaphoredeletesupp.c
+libcpukit_a_SOURCES += posix/src/semclose.c
+libcpukit_a_SOURCES += posix/src/semopen.c
+libcpukit_a_SOURCES += posix/src/semunlink.c
+libcpukit_a_SOURCES += posix/src/setcancelstate.c
+libcpukit_a_SOURCES += posix/src/setcanceltype.c
+libcpukit_a_SOURCES += posix/src/setitimer.c
+libcpukit_a_SOURCES += posix/src/shm.c
+libcpukit_a_SOURCES += posix/src/shmheap.c
+libcpukit_a_SOURCES += posix/src/shmopen.c
+libcpukit_a_SOURCES += posix/src/shmunlink.c
+libcpukit_a_SOURCES += posix/src/shmwkspace.c
+libcpukit_a_SOURCES += posix/src/sigaction.c
+libcpukit_a_SOURCES += posix/src/signal_2.c
+libcpukit_a_SOURCES += posix/src/sigpending.c
+libcpukit_a_SOURCES += posix/src/sigqueue.c
+libcpukit_a_SOURCES += posix/src/sigsuspend.c
+libcpukit_a_SOURCES += posix/src/sigtimedwait.c
+libcpukit_a_SOURCES += posix/src/sigwait.c
+libcpukit_a_SOURCES += posix/src/sigwaitinfo.c
+libcpukit_a_SOURCES += posix/src/testcancel.c
+libcpukit_a_SOURCES += posix/src/timergetoverrun.c
+libcpukit_a_SOURCES += posix/src/timergettime.c
+libcpukit_a_SOURCES += posix/src/timersettime.c
+libcpukit_a_SOURCES += posix/src/ualarm.c
 
 endif
@@ -616,5 +837,5 @@
 
 # librtemscpu
-_SUBDIRS = . score rtems posix
+_SUBDIRS = . score rtems
 _SUBDIRS += libnetworking
 _SUBDIRS += libmisc
Index: cpukit/configure.ac
===================================================================
--- cpukit/configure.ac	(revision 028b0ced4c26847c31a65c6f5630182cc2f4e7cb)
+++ cpukit/configure.ac	(revision b3ef89f931041ce004cba62e3c8250c96ca933f6)
@@ -497,5 +497,4 @@
 score/cpu/x86_64/Makefile
 score/cpu/no_cpu/Makefile
-posix/Makefile
 libnetworking/Makefile
 libmisc/Makefile
Index: cpukit/posix/Makefile.am
===================================================================
--- cpukit/posix/Makefile.am	(revision 028b0ced4c26847c31a65c6f5630182cc2f4e7cb)
+++ 	(revision )
@@ -1,200 +1,0 @@
-include $(top_srcdir)/automake/multilib.am
-include $(top_srcdir)/automake/compile.am
-
-
-noinst_LIBRARIES = libposix.a
-libposix_a_SOURCES =
-
-# Some POSIX functions that are nice to always have
-libposix_a_SOURCES += src/nanosleep.c src/clockgettime.c src/clocksettime.c \
-    src/clockgetres.c src/sysconf.c
-
-## Some POSIX threads features are needed all the time
-if HAS_PTHREADS
-# include
-# include/rtems/posix
-## src
-libposix_a_SOURCES += src/aio_cancel.c src/aio_error.c src/aio_fsync.c \
-    src/aio_read.c src/aio_return.c src/aio_suspend.c src/aio_write.c \
-    src/lio_listio.c src/aio_misc.c
-
-libposix_a_SOURCES += src/_execve.c
-endif
-
-libposix_a_SOURCES += src/fork.c src/vfork.c
-
-libposix_a_SOURCES += src/wait.c src/waitpid.c
-libposix_a_SOURCES += src/pthreadgetnamenp.c
-libposix_a_SOURCES += src/pthreadsetnamenp.c
-
-## BARRIER_C_FILES
-libposix_a_SOURCES += src/barrierattrdestroy.c src/barrierattrgetpshared.c \
-    src/barrierattrinit.c src/barrierattrsetpshared.c \
-    src/pbarrierdestroy.c src/pbarrierinit.c \
-    src/pbarrierwait.c
-
-## CONDITION_VARIABLE_C_FILES
-libposix_a_SOURCES += src/condattrdestroy.c \
-    src/condattrinit.c  \
-    src/condattrgetpshared.c src/condattrsetpshared.c \
-    src/condattrgetclock.c src/condattrsetclock.c \
-    src/condbroadcast.c src/conddefaultattributes.c src/conddestroy.c \
-    src/condinit.c src/condsignal.c src/condsignalsupp.c \
-    src/condtimedwait.c src/condwait.c src/condwaitsupp.c
-
-## MUTEX_C_FILES
-libposix_a_SOURCES += src/mutexattrdestroy.c src/mutexattrgetprioceiling.c \
-    src/mutexattrgetprotocol.c src/mutexattrgetpshared.c \
-    src/mutexattrgettype.c src/mutexattrinit.c src/mutexattrsetprioceiling.c \
-    src/mutexattrsetprotocol.c src/mutexattrsetpshared.c \
-    src/mutexattrsettype.c src/mutexdestroy.c \
-    src/mutexgetprioceiling.c src/mutexinit.c src/mutexlock.c \
-    src/mutexlocksupp.c src/mutexsetprioceiling.c src/mutextimedlock.c \
-    src/mutextrylock.c src/mutexunlock.c
-
-## PTHREAD_C_FILES
-libposix_a_SOURCES += src/psxpriorityisvalid.c
-
-## PTHREAD_ATTR_C_FILES
-libposix_a_SOURCES += src/pthreadattrdefault.c src/pthreadattrdestroy.c \
-   src/pthreadattrgetdetachstate.c src/pthreadattrgetguardsize.c \
-   src/pthreadattrgetinheritsched.c src/pthreadattrgetschedparam.c \
-   src/pthreadattrgetschedpolicy.c src/pthreadattrgetscope.c \
-   src/pthreadattrgetstackaddr.c src/pthreadattrgetstack.c \
-   src/pthreadattrgetstacksize.c src/pthreadattrinit.c \
-   src/pthreadattrsetdetachstate.c src/pthreadattrsetguardsize.c \
-   src/pthreadattrsetinheritsched.c src/pthreadattrsetschedparam.c \
-   src/pthreadattrsetschedpolicy.c src/pthreadattrsetscope.c \
-   src/pthreadattrsetstackaddr.c src/pthreadattrsetstack.c \
-   src/pthreadattrsetstacksize.c
-
-## PTHREAD_AFFINITY_C_FILES
-libposix_a_SOURCES += src/pthreadattrsetaffinitynp.c \
-    src/pthreadattrgetaffinitynp.c  src/pthreadgetaffinitynp.c   \
-    src/pthreadsetaffinitynp.c
-
-if HAS_PTHREADS
-## CANCEL_C_FILES
-libposix_a_SOURCES += src/cancel.c \
-    src/cleanuppush.c src/setcancelstate.c \
-    src/setcanceltype.c src/testcancel.c
-
-## MEMORY_C_FILES
-libposix_a_SOURCES += src/mlockall.c
-libposix_a_SOURCES += src/mlock.c
-libposix_a_SOURCES += src/mmap.c
-libposix_a_SOURCES += src/mprotect.c
-libposix_a_SOURCES += src/msync.c
-libposix_a_SOURCES += src/munlockall.c
-libposix_a_SOURCES += src/munlock.c
-libposix_a_SOURCES += src/munmap.c
-libposix_a_SOURCES += src/posix_madvise.c
-libposix_a_SOURCES += src/shm.c
-libposix_a_SOURCES += src/shmheap.c
-libposix_a_SOURCES += src/shmopen.c
-libposix_a_SOURCES += src/shmunlink.c
-libposix_a_SOURCES += src/shmwkspace.c
-
-## MESSAGE_QUEUE_C_FILES
-libposix_a_SOURCES += src/mqueue.c src/mqueueclose.c \
-    src/mqueuedeletesupp.c src/mqueuegetattr.c \
-    src/mqueuenotify.c src/mqueueopen.c \
-    src/mqueuereceive.c src/mqueuerecvsupp.c src/mqueuesend.c \
-    src/mqueuesendsupp.c src/mqueuesetattr.c src/mqueuetimedreceive.c \
-    src/mqueuetimedsend.c \
-    src/mqueueunlink.c
-
-## PTHREAD_C_FILES
-libposix_a_SOURCES += src/pthreadatfork.c \
-    src/pthreadgetattrnp.c \
-    src/pthread.c \
-    src/pthreadconcurrency.c \
-    src/pthreadcreate.c src/pthreaddetach.c src/pthreadequal.c \
-    src/pthreadexit.c src/pthreadgetcpuclockid.c \
-    src/pthreadgetschedparam.c \
-    src/pthreadinitthreads.c src/pthreadjoin.c src/pthreadkill.c \
-    src/pthreadself.c \
-    src/pthreadsetschedparam.c src/pthreadsigmask.c \
-    src/psxtransschedparam.c
-libposix_a_SOURCES += src/pthreadsetschedprio.c
-
-## PSIGNAL_C_FILES
-libposix_a_SOURCES += src/psignal.c src/alarm.c src/kill.c src/killinfo.c \
-    src/kill_r.c src/pause.c src/psignalclearprocesssignals.c \
-    src/psignalsetprocesssignals.c \
-    src/psignalclearsignals.c src/psignalunblockthread.c src/pthreadkill.c \
-    src/pthreadsigmask.c src/sigaction.c
-endif
-
-## KEY_C_FILES
-libposix_a_SOURCES += src/key.c src/keycreate.c src/keydelete.c \
-    src/keygetspecific.c \
-    src/keysetspecific.c
-
-## ONCE_C_FILES
-libposix_a_SOURCES += src/pthreadonce.c
-
-libposix_a_SOURCES += src/sigaddset.c src/sigdelset.c src/sigfillset.c \
-   src/sigemptyset.c src/sigismember.c
-
-libposix_a_SOURCES += src/sigprocmask.c
-
-## SPINLOCK_C_FILES
-libposix_a_SOURCES += src/pspindestroy.c
-libposix_a_SOURCES += src/pspininit.c
-libposix_a_SOURCES += src/pspinlock.c
-libposix_a_SOURCES += src/pspinunlock.c
-
-## SEMAPHORE_C_FILES
-libposix_a_SOURCES += src/semdestroy.c
-libposix_a_SOURCES += src/semgetvalue.c
-libposix_a_SOURCES += src/seminit.c
-libposix_a_SOURCES += src/sempost.c
-libposix_a_SOURCES += src/semtimedwait.c
-libposix_a_SOURCES += src/semtrywait.c
-libposix_a_SOURCES += src/semwait.c
-
-## RWLOCK_C_FILES
-libposix_a_SOURCES += src/prwlockdestroy.c src/prwlockinit.c \
-    src/prwlockrdlock.c src/prwlocktimedrdlock.c src/prwlocktimedwrlock.c \
-    src/prwlocktryrdlock.c src/prwlocktrywrlock.c src/prwlockunlock.c \
-    src/prwlockwrlock.c src/rwlockattrdestroy.c src/rwlockattrgetpshared.c \
-    src/rwlockattrinit.c src/rwlockattrsetpshared.c
-
-if HAS_PTHREADS
-libposix_a_SOURCES += src/sigpending.c \
-    src/sigqueue.c src/sigsuspend.c src/sigtimedwait.c \
-    src/sigwait.c src/sigwaitinfo.c src/signal_2.c src/ualarm.c
-
-## SEMAPHORE_C_FILES
-libposix_a_SOURCES += src/psxsemaphore.c
-libposix_a_SOURCES += src/semaphoredeletesupp.c
-libposix_a_SOURCES += src/semclose.c
-libposix_a_SOURCES += src/semopen.c
-libposix_a_SOURCES += src/semunlink.c
-
-## TIME_C_FILES
-libposix_a_SOURCES += src/adjtime.c src/clockgetcpuclockid.c
-
-## TIMER_C_FILES
-libposix_a_SOURCES += src/ptimer.c src/psxtimercreate.c src/psxtimerdelete.c \
-    src/timergetoverrun.c src/timergettime.c src/timersettime.c
-
-## ITIMER_C_FILES
-libposix_a_SOURCES += src/getitimer.c src/setitimer.c
-
-## SUPPORT_C_FILES
-libposix_a_SOURCES += src/psxpriorityisvalid.c
-libposix_a_SOURCES += src/psxnametoid.c
-
-
-libposix_a_SOURCES += src/sched_getparam.c \
-    src/sched_getscheduler.c \
-    src/sched_rr_get_interval.c src/sched_setparam.c \
-    src/sched_setscheduler.c src/sched_yield.c
-endif
-
-libposix_a_SOURCES += src/sched_getprioritymin.c
-libposix_a_SOURCES += src/sched_getprioritymax.c
-
-include $(top_srcdir)/automake/local.am
Index: cpukit/wrapup/Makefile.am
===================================================================
--- cpukit/wrapup/Makefile.am	(revision 028b0ced4c26847c31a65c6f5630182cc2f4e7cb)
+++ cpukit/wrapup/Makefile.am	(revision b3ef89f931041ce004cba62e3c8250c96ca933f6)
@@ -18,5 +18,4 @@
 TMP_LIBS += ../libcpukit.a
 TMP_LIBS += ../rtems/librtems.a
-TMP_LIBS += ../posix/libposix.a
 
 TMP_LIBS += ../libmisc/libmonitor.a
